SYSTEM
Ameba SDK » HAL

system functions More...

## Ameba Common

void | sys_jtag_off (void)
| Turn off the JTAG function. More...
void | sys_clear_ota_signature (void)
| switch OTA image if the othe OTA image is valid More...
void | sys_recover_ota_signature (void)
| switch OTA image if the othe OTA image is valid More...
void | sys_log_uart_on (void)
| open log uart More...
void | sys_log_uart_off (void)
| close log uart More...
void | sys_adc_calibration (u8 write, u16 *offset, u16 *gain)
| store or load adc calibration parameter More...
void | sys_reset (void)
| system software reset More...

## Ameba1 Only

u8 | sys_is_sdram_power_on (void)
| check whether is sdram power on More...
void | sys_sdram_off (void)
| sdram power off More...

## AmebaZ Only

void | sys_cpu_reset (void)
| vector reset More...

## Detailed Description

system functions

## Function Documentation

void sys_adc_calibration | ( | u8 | write,
|  | u16 * | offset,
|  | u16 * | gain
| ) |  |

store or load adc calibration parameter

Parameters

  write

  this parameter can be one of the following values:
  - 0: load adc calibration parameter offset & gain from flash system data region
  - 1: store adc calibration parameter offset & gain to flash system data region

  offset | pointer to adc parameter offset
  gain | pointer to adc parameter gain

Return values

  none |

void sys_clear_ota_signature | ( | void |  | ) |

switch OTA image if the othe OTA image is valid

Return values

  none |

Note
  for AmebaZ, sys_clear_ota_signature is the same with sys_recover_ota_signature

void sys_cpu_reset | ( | void |  | ) |

vector reset

Return values

  none |

u8 sys_is_sdram_power_on | ( | void |  | ) |

check whether is sdram power on

Return values

  1 | power on 0: power off

void sys_jtag_off | ( | void |  | ) |

Turn off the JTAG function.

Return values

  none |

void sys_log_uart_off | ( | void |  | ) |

close log uart

Return values

  none |

void sys_log_uart_on | ( | void |  | ) |

open log uart

Return values

  none |

void sys_recover_ota_signature | ( | void |  | ) |

switch OTA image if the othe OTA image is valid

Return values

  none |

Note
  for AmebaZ, sys_clear_ota_signature is the same with sys_recover_ota_signature

void sys_reset | ( | void |  | ) |

system software reset

Return values

  none |

void sys_sdram_off | ( | void |  | ) |

sdram power off

Return values

  none |